package com.bwie.service;

import com.bwie.common.domain.Record;
import com.bwie.common.domain.response.RecordResp;

import java.util.List;

public interface RecordService {
    /**
     * 添加记录表
     * @param bicycleId
     * @return
     */
    int addRecord(Integer bicycleId);
    /**
     * 查询记录表
     * @return
     */
    List<RecordResp> findList();

    /**
     * 结束行程
     * @param record
     * @return
     */
    int finish(Record record);
}
