package com.bwie.service.impl;

import com.bwie.common.domain.Bicycle;
import com.bwie.common.domain.response.BicycleResp;
import com.bwie.mapper.BicycleMapper;
import com.bwie.service.BicycleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class BicycleServiceImpl implements BicycleService {
    @Autowired
    private BicycleMapper bicycleMapper;

    /**
     * 查询列表
     */
    @Override
    public List<BicycleResp> findList(Bicycle bicycle) {
        List<BicycleResp> list = bicycleMapper.findList(bicycle);
        return list;
    }
    /**
     * 修改状态
     */
    @Override
    public void updState(Integer bicycleId, int state) {
        bicycleMapper.updState(bicycleId,state);
    }
}
