import request from '@/utils/request'

export function login(data) {
  return request({
    url: '/auth/auth/login',
    method: 'post',
    data
  })
}

export function getInfo(token) {
  return request({
    url: '/auth/auth/info',
    method: 'post',
    params: { token }
  })
}

export function logout() {
  return request({
    url: '/auth/auth/logout',
    method: 'post'
  })
}
export function findUser(token) {
  return request({
    url: '/system/user/findUser',
    method: 'post',
    params: { token }
  })
}
