package com.bwie.auth.feign;


import com.bwie.auth.feign.factory.UserFeignFactory;
import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(name = "bwie-system",fallbackFactory = UserFeignFactory.class)
public interface UserFeign {
    @PostMapping("user/selectByTel")
    public Result<User> selectByTel(@RequestParam String userTel);
}
