package com.bwie.auth.service;

import com.bwie.common.domain.User;
import com.bwie.common.domain.response.JwtResponse;

import javax.servlet.http.HttpServletRequest;

public interface AuthService {

    /**
     * 登录
     */
    JwtResponse login(User user);
    /**
     * 获取用户信息
     */
    User info(HttpServletRequest request);
}
