package com.bwie.common.domain;

import java.math.BigDecimal;

public enum TypeEnum {
    one(1,1),two(2,1.2),three(3,1.3),four(4,1.6);
    private Integer id;
    private double price;

    TypeEnum(Integer id, double price) {
        this.id = id;
        this.price = price;
    }

    public static BigDecimal price(Integer id){
        TypeEnum[] values = TypeEnum.values();
        for (TypeEnum value : values) {
            if (value.id.equals(id)){
                return BigDecimal.valueOf(value.price);
            }
        }
        return null;
    }

}
