package com.bwie.controller;

import com.bwie.common.domain.Bicycle;
import com.bwie.common.domain.response.BicycleResp;
import com.bwie.common.result.Result;
import com.bwie.service.BicycleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("bicycle")
public class BicycleContoller {
    @Autowired
    private BicycleService bicycleService;
    /**
     * 列表查询:所有自行车
     */
    @PostMapping("findList")
    public Result findList(@RequestBody Bicycle bicycle){
        List<BicycleResp> list = bicycleService.findList(bicycle);
        return Result.success(list);
    }


}
