package com.bwie.controller;

import com.bwie.common.domain.Type;
import com.bwie.common.result.Result;
import com.bwie.service.TypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("type")
public class TypeController {

    @Autowired
    private TypeService typeService;

    @PostMapping("findTypeAll")
    public Result findTypeAll(){
        List<Type> typeAll = typeService.findTypeAll();
        return Result.success(typeAll);
    }
}
